package common.avc;

public interface AvcConstants {
	String FILE_EXTENSION=".h264";
	String CODEC_NAME="AVC";
	int NAL_UNIT_ACCESS_DELIMETER=9;
	int NAL_UNIT_SEQUENCE_PARAMETER_SET=7;
	int SUB_WIDTH_C[]=	{1, 2, 2, 1};
	int SUB_HEIGHT_C[]={1, 2, 2, 1};
	int ASPECT_RATIO[][]= {
		{},
		{1,1},
		{12,11},
		{10,11},
		{16,11},
		{40,33},
		{24,11},
		{20,11},
		{32,11},
		{80,33},
		{18,11},
		{15,11},
		{64,33},
		{160,99},
		{4,3},
		{3,2},
		{2,1}
	};
	int EXTENDED_SAR=0xff;
	
	byte BASELINE_PROFILE=66;
	byte MAIN_PROFILE=77;
	byte EXTENDED_PROFILE=88;
	
	byte HIGH_PROFILE1=100;
	byte HIGH_PROFILE2=110;
	byte HIGH_PROFILE3=122;
	byte HIGH_PROFILE4=(byte)144;
	
	String BASELINE_PROFILE_NAME="Baseline";
	String MAIN_PROFILE_NAME="Main";
	String EXTENDED_PROFILE_NAME="Extended";
	String HIGH_PROFILE_NAME="High";
}
