package util;

import ui.FileCutter;
import ui.RemuxToolUI;
import ui.tonmt.ToNmtUI;

public class BootStrap {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		if (args.length==0) {
			RemuxToolUI.main(args);
		} else {
			String tool=args[0];
			String[] newArgs=new String[args.length-1];
			System.arraycopy(args, 1, newArgs, 0, newArgs.length);
			if ("WtvToMpeg".equals(tool)) {
				WtvToMpeg.main(newArgs);
			} else if ("FileCutter".equals(tool)) {
				FileCutter.main(newArgs);
			} else if ("ToNMT".equals(tool)) {
				ToNmtUI.main(newArgs);
			} else {
				RemuxToolUI.main(args);
			}
		}

	}

}
